Skip to main content
List write-tool approvals for a run
curl --request GET \
  --url https://api.acornops.dev/api/v1/runs/{runId}/approvals \
  --cookie acornops_cp_session=
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "toolName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "decidedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

runId
string<uuid>
required
Example:

"5e709a9c-2481-4baa-aec2-ca193c50167d"

Response

Run tool approval list.

items
object[]
required